# OAuth::setRSACertificate

(PECL OAuth >= 1.0.0)

OAuth::setRSACertificate — Set the RSA certificate

### Description

public OAuth::setRSACertificate ( string `$cert` ) : mixed

Sets the RSA certificate.

Warning

This function is currently not documented; only its argument list is available.

### Parameters

`cert`

  The RSA certificate.

### Return Values

Returns `TRUE` on success, or `FALSE` on failure (e.g., the RSA certificate cannot be parsed.)

### Changelog

Version | Description
--- | ---
1.0.0 | Previously returned `NULL` on failure, instead of `FALSE`.

### Examples

Example #1 An OAuth::setRsaCertificate() example

`<?php
$consume = new OAuth('1234', '', OAUTH_SIG_METHOD_RSASHA1);
$consume->setRSACertificate(file_get_contents('test.pem'));
?>`

### See Also

- OAuth::setCaPath() - Set CA path and info